giiEventSend(3)

NAME
giiEventSend : Inject an event into the input

SYNOPSIS
#include <ggi/gii.h>
int giiEventSend(gii_input_t inp, gii_event *ev);

DESCRIPTION
giiEventSend injects an event into the queue. Such events can be identified by (event->any.target == GII_EV_TARGET_QUEUE). There are three main uses for this function:

1   Simulating input for independent subprograms.

2   Sending events to externally attached programs via specialized inputs, that are actually rather outputs.

3   Sending command events to inputs, like querying the axis of a valuator device.

RETURN VALUE
giiEventSend returns 0 on success, or an gii-error(3) code otherwise.

SEE ALSO
giiEventPoll(3)